//
//  SpecialAngleView.swift
//  Winkel
//
//  Created by Heiko Etzold on 28.03.20.
//  Copyright © 2020 Heiko Etzold. All rights reserved.
//

import UIKit

class SpecialAngleView: UIView {

    var pointG1 = CGPoint()
    var pointG2 = CGPoint()
    var pointG = CGPoint()
    var angleG = CGFloat()
    var angleA = CGFloat()
    var angleB = CGFloat()
    
    override func draw(_ rect: CGRect) {
        //main line
        let lines = UIGraphicsGetCurrentContext()!
        lines.move(to: pointG-2000*CGPoint(x: cos(angleG), y: sin(angleG)))
        lines.addLine(to: pointG+2000*CGPoint(x: cos(angleG), y: sin(angleG)))

        //first crossed line
        lines.move(to: pointG1-2000*CGPoint(x: cos(angleA), y: sin(angleA)))
        lines.addLine(to: pointG1+2000*CGPoint(x: cos(angleA), y: sin(angleA)))

        //second crossed line
        lines.move(to: pointG2-2000*CGPoint(x: cos(angleB), y: sin(angleB)))
        lines.addLine(to: pointG2+2000*CGPoint(x: cos(angleB), y: sin(angleB)))

        //draw
        lines.setLineWidth(3)
        lines.setStrokeColor(labelColor.cgColor)
        lines.strokePath()
    }
}
